Package biotransformer.transformation

## Class MRPatterns

- java.lang.Object
- - biotransformer.transformation.MRPatterns

    public class MRPatterns
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `MRPatterns.ReactionName`

### Field Summary

Fields
`static java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>>` `setOfNetgativeReactantSMARTS`
`static java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>>` `setOfReactantSMARTS`
`static java.util.LinkedHashMap<java.lang.String,​java.lang.String>` `setOfSMIRKS`

### Constructor Summary

Constructors
`MRPatterns()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### setOfSMIRKS

    public static java.util.LinkedHashMap<java.lang.String,​java.lang.String> setOfSMIRKS

#### setOfReactantSMARTS

    public static java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> setOfReactantSMARTS

#### setOfNetgativeReactantSMARTS

    public static java.util.LinkedHashMap<java.lang.String,​java.util.ArrayList<java.lang.String>> setOfNetgativeReactantSMARTS

### Constructor Detail

#### MRPatterns

    public MRPatterns()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)